Debian Bug report logs - #660795
publican: Missing dependency on libfile-which-perl

version graph

Package: publican; Maintainer for publican is Mikhail Gusarov <dottedmag@debian.org>; Source for publican is src:publican.

Reported by: Luigi Toscano <luigi.toscano@tiscali.it>

Date: Tue, 21 Feb 2012 22:15:39 UTC

Severity: grave

Found in version publican/2.8-1

Fixed in version publican/2.8-2

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#660795; Package publican. (Tue, 21 Feb 2012 22:15:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luigi Toscano <luigi.toscano@tiscali.it>:
New Bug report received and forwarded. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Tue, 21 Feb 2012 22:15:42 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luigi Toscano <luigi.toscano@tiscali.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: publican: Missing dependency on libfile-which-perl
Date: Tue, 21 Feb 2012 22:53:59 +0100
Package: publican
Version: 2.8-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

it seems that publican requires libfile-which-perl, but this package 
is not a dependency. Without that package, the output of publican is:

$ publican 
Can't locate File/Which.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Publican/Builder.pm line 32, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/share/perl5/Publican/Builder.pm line 32, <DATA> line 1662.
Compilation failed in require at /usr/share/perl5/Publican/CreateBook.pm line 13, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/share/perl5/Publican/CreateBook.pm line 13, <DATA> line 1662.
Compilation failed in require at /usr/bin/publican line 17, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/bin/publican line 17, <DATA> line 1662.
$ publican --help
Can't locate File/Which.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Publican/Builder.pm line 32, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/share/perl5/Publican/Builder.pm line 32, <DATA> line 1662.
Compilation failed in require at /usr/share/perl5/Publican/CreateBook.pm line 13, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/share/perl5/Publican/CreateBook.pm line 13, <DATA> line 1662.
Compilation failed in require at /usr/bin/publican line 17, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/bin/publican line 17, <DATA> line 1662.

When the package is installed, the output is more sane:

$ publican 

Action required!

Usage:
    publican <command options>

    publican <action> <action options>

    Command Options
[...]
    
-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (850, 'testing'), (800, 'unstable'), (750, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages publican depends on:
ii  docbook-xml                           4.5-7
ii  docbook-xsl                           1.76.1+dfsg-1
ii  fop                                   1:1.0.dfsg2-6
ii  gettext                               0.18.1.1-5
ii  libarchive-zip-perl                   1.30-5
ii  libconfig-simple-perl                 4.59-5
ii  libdatetime-format-dateparse-perl     0.05-1
ii  libdatetime-perl                      2:0.7200-1
ii  libdbd-sqlite3-perl                   1.35-1
ii  libdbi-perl                           1.616-1+b2
ii  libfile-copy-recursive-perl           0.38-1
ii  libfile-find-rule-perl                0.33-1
ii  libfile-pushd-perl                    1.001-1
ii  libhtml-format-perl                   2.10-1
ii  libhtml-template-perl                 2.10-1
ii  libhtml-tree-perl                     4.2-1
ii  libimage-size-perl                    3.230-1
ii  libio-string-perl                     1.08-2
ii  liblocale-maketext-gettext-perl       1.28-1
ii  liblocale-po-perl                     0.21-1
ii  libmakefile-parser-perl               0.215-1
ii  librsvg2-bin                          2.34.2-2
ii  libsyntax-highlight-engine-kate-perl  0.05+dfsg-1
ii  libtemplate-perl                      2.22-0.1+b2
ii  libxml-libxml-perl                    1.90+dfsg-1
ii  libxml-libxslt-perl                   1.76-1
ii  libxml-simple-perl                    2.18-3
ii  libxml-treebuilder-perl               4.0-1
ii  perl                                  5.14.2-7
ii  perlmagick                            8:6.6.9.7-5+b2

publican recommends no packages.

publican suggests no packages.

-- no debconf information




Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Thu, 23 Feb 2012 21:54:07 GMT) Full text and rfc822 format available.

Notification sent to Luigi Toscano <luigi.toscano@tiscali.it>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 21:54:07 GMT) Full text and rfc822 format available.

Message #10 received at 660795-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 660795-close@bugs.debian.org
Subject: Bug#660795: fixed in publican 2.8-2
Date: Thu, 23 Feb 2012 21:50:03 +0000
Source: publican
Source-Version: 2.8-2

We believe that the bug you reported is fixed in the latest version of
publican, which is due to be installed in the Debian FTP archive:

publican_2.8-2.debian.tar.gz
  to main/p/publican/publican_2.8-2.debian.tar.gz
publican_2.8-2.dsc
  to main/p/publican/publican_2.8-2.dsc
publican_2.8-2_all.deb
  to main/p/publican/publican_2.8-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660795@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated publican package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 23 Feb 2012 22:17:00 +0100
Source: publican
Binary: publican
Architecture: source all
Version: 2.8-2
Distribution: unstable
Urgency: low
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 publican   - Tool for publishing material authored in DocBook XML
Closes: 660795
Changes: 
 publican (2.8-2) unstable; urgency=low
 .
   * No longer ignore test-suite failure. fop 1:1.0.dfsg2-5 should be working
     again.
   * Add missing dependency on libfile-which-perl. Closes: #660795
   * Update Standards-Version to 3.9.3 (no change needed).
Checksums-Sha1: 
 baf1f26bd2f00bd5af7f3b84a6208e355485b647 2716 publican_2.8-2.dsc
 7c2329561e39e64e4deec98dfe2469116d663342 6916 publican_2.8-2.debian.tar.gz
 58bd174f4d0c6b96946729db3e8d7fea1cf801a5 2126814 publican_2.8-2_all.deb
Checksums-Sha256: 
 cd5394f8948d3e5ed9bd5ea65983f801e4f2a4e8b5552e7a81f69995b793147d 2716 publican_2.8-2.dsc
 e5067425382cca8b692868f55b0bc83022522913cf82dcfd24ce7e74bfb1934f 6916 publican_2.8-2.debian.tar.gz
 45122779b2be4eb547fb5ab175ce13ad5e7112f9bfd0171fba8342e792b5098f 2126814 publican_2.8-2_all.deb
Files: 
 bca8807d10bd3f7bd0c937213415fa70 2716 perl optional publican_2.8-2.dsc
 ad825e32cfaf79eb2d1246fe6612de25 6916 perl optional publican_2.8-2.debian.tar.gz
 b305398c22cceea90482c2c45f40f047 2126814 perl optional publican_2.8-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJPRrCbAAoJEOYZBF3yrHKaHJsQAK0nbMR/WGEBq6ZyhMLIceYu
ztWt9MG8DTGX6GMbioGmq0sDDzuQ7fRX1uHnb3674LILtzqfJWwvIbFBS0bLLksn
YYbqTYdxp25T5oSbYlBsjL2T2Z1mSsReaO7hdEy/boy0mDHIkcShgyV+h5Gy9Lmy
BoUqc033552fbunpHAJaoRzl0O/XLCi//buwN/jQ2YvbINXlLHO0PeviwAtL3Gdt
BejHoGpQxLFlMLROxGE3sh8G0LYUiu2LukjrjC1rT3TgRZwwShXdRDQk0ZLDlaY6
+2htnmEVSXA+SIGA1s2QC+5j1NHbL3b4dNgFE0aBzqWM8I5GhlCkq0BhQKVi/Jv8
FKWht1DEGJd2jE755jlAvDPL+3CrHmz2YbnA6r8LPoQABMwMEZzETtd9DCBkySWT
lKdMv6pQR8G0rqOAqE7rDfwksiYQMs9ZBNifAbZwzdHV9+VMTTzNnU242NwobFSd
GFMrr2eOhkvUlE2F3Oarli8qxWFGdpnn/UDVf3X3U804G4IURfHEWDktI7w5ji+F
dsIDI5czYppLLmbbXn+CkxJKeM2/S0wg3hns8kNiBjYkkivMGSreYlGZRHqZV4RY
J5Ipf0D0zx9FXTjr44LGlE1h4xr7/RQ/UQvQltBxvDaZeEl+2vfu+wIBnzpodZ2t
TlWm+KoW+XJQxCycRKEf
=yj73
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:51:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:29:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.